Activity log for bug #1713581

Date Who What changed Old value New value Message
2017-08-28 22:14:00 Horst Iglesias bug added bug
2017-08-28 22:26:07 Apport retracing service bug added subscriber Crash bug triagers for Ubuntu packages
2017-08-28 22:26:09 Apport retracing service attachment added Stacktrace.txt https://bugs.launchpad.net/bugs/1713581/+attachment/4940451/+files/Stacktrace.txt
2017-08-28 22:26:10 Apport retracing service attachment added StacktraceSource.txt https://bugs.launchpad.net/bugs/1713581/+attachment/4940452/+files/StacktraceSource.txt
2017-08-28 22:26:10 Apport retracing service attachment added ThreadStacktrace.txt https://bugs.launchpad.net/bugs/1713581/+attachment/4940453/+files/ThreadStacktrace.txt
2017-08-28 22:26:11 Apport retracing service attachment removed CoreDump.gz https://bugs.launchpad.net/bugs/1713581/+attachment/4940440/+files/CoreDump.gz
2017-08-28 22:26:12 Apport retracing service nautilus (Ubuntu): importance Undecided Medium
2017-08-28 22:26:13 Apport retracing service tags amd64 apport-crash artful need-amd64-retrace amd64 apport-crash artful
2017-10-13 11:56:17 Launchpad Janitor nautilus (Ubuntu): status New Confirmed
2017-11-07 15:54:01 Sebastien Bacher information type Private Public
2017-11-26 12:41:22 Apport retracing service tags amd64 apport-crash artful amd64 apport-crash artful bionic
2018-03-06 12:43:04 Sebastien Bacher description no idea,sorry ProblemType: Crash DistroRelease: Ubuntu 17.10 Package: nautilus 1:3.25.90-0ubuntu1 ProcVersionSignature: Ubuntu 4.12.0-11.12-generic 4.12.5 Uname: Linux 4.12.0-11-generic x86_64 NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia ApportVersion: 2.20.6-0ubuntu7 Architecture: amd64 CurrentDesktop: ubuntu:GNOME Date: Tue Aug 29 00:07:44 2017 EcryptfsInUse: Yes ExecutablePath: /usr/bin/nautilus InstallationDate: Installed on 2017-08-09 (19 days ago) InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170807) ProcCmdline: /usr/bin/nautilus --gapplication-service ProcEnviron: SHELL=/bin/bash XDG_RUNTIME_DIR=<set> PATH=(custom, no user) LANG=de_DE.UTF-8 SegvAnalysis: Segfault happened at: 0x7f8b19a60d27 <g_type_check_instance_is_fundamentally_a+7>: mov (%rdi),%rdx PC (0x7f8b19a60d27) ok source "(%rdi)" (0x00000002) not located in a known VMA region (needed readable region)! destination "%rdx" ok SegvReason: reading NULL VMA Signal: 11 SourcePackage: nautilus StacktraceTop: g_type_check_instance_is_fundamentally_a () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0 g_object_ref () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0 g_list_copy_deep () from /lib/x86_64-linux-gnu/libglib-2.0.so.0 ?? () ?? () Title: nautilus crashed with SIGSEGV in g_type_check_instance_is_fundamentally_a() UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm audio cdrom dip lpadmin netdev plugdev sambashare scanner sudo https://errors.ubuntu.com/problem/ef1ce30f6325c683b207fd96a3be93eda5384054 no idea,sorry ProblemType: Crash DistroRelease: Ubuntu 17.10 Package: nautilus 1:3.25.90-0ubuntu1 ProcVersionSignature: Ubuntu 4.12.0-11.12-generic 4.12.5 Uname: Linux 4.12.0-11-generic x86_64 NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia ApportVersion: 2.20.6-0ubuntu7 Architecture: amd64 CurrentDesktop: ubuntu:GNOME Date: Tue Aug 29 00:07:44 2017 EcryptfsInUse: Yes ExecutablePath: /usr/bin/nautilus InstallationDate: Installed on 2017-08-09 (19 days ago) InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170807) ProcCmdline: /usr/bin/nautilus --gapplication-service ProcEnviron:  SHELL=/bin/bash  XDG_RUNTIME_DIR=<set>  PATH=(custom, no user)  LANG=de_DE.UTF-8 SegvAnalysis:  Segfault happened at: 0x7f8b19a60d27 <g_type_check_instance_is_fundamentally_a+7>: mov (%rdi),%rdx  PC (0x7f8b19a60d27) ok  source "(%rdi)" (0x00000002) not located in a known VMA region (needed readable region)!  destination "%rdx" ok SegvReason: reading NULL VMA Signal: 11 SourcePackage: nautilus StacktraceTop:  g_type_check_instance_is_fundamentally_a () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0  g_object_ref () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0  g_list_copy_deep () from /lib/x86_64-linux-gnu/libglib-2.0.so.0  ?? ()  ?? () Title: nautilus crashed with SIGSEGV in g_type_check_instance_is_fundamentally_a() UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm audio cdrom dip lpadmin netdev plugdev sambashare scanner sudo
2018-03-06 12:57:52 Sebastien Bacher nautilus (Ubuntu): importance Medium High
2018-04-18 09:27:54 Marco Trevisan (Treviño) nautilus (Ubuntu): assignee Marco Trevisan (Treviño) (3v1n0)
2018-04-18 09:28:00 Marco Trevisan (Treviño) nominated for series Ubuntu Bionic
2018-04-18 09:28:07 Marco Trevisan (Treviño) nautilus (Ubuntu): status Confirmed In Progress
2018-04-18 09:28:52 Marco Trevisan (Treviño) description https://errors.ubuntu.com/problem/ef1ce30f6325c683b207fd96a3be93eda5384054 no idea,sorry ProblemType: Crash DistroRelease: Ubuntu 17.10 Package: nautilus 1:3.25.90-0ubuntu1 ProcVersionSignature: Ubuntu 4.12.0-11.12-generic 4.12.5 Uname: Linux 4.12.0-11-generic x86_64 NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia ApportVersion: 2.20.6-0ubuntu7 Architecture: amd64 CurrentDesktop: ubuntu:GNOME Date: Tue Aug 29 00:07:44 2017 EcryptfsInUse: Yes ExecutablePath: /usr/bin/nautilus InstallationDate: Installed on 2017-08-09 (19 days ago) InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170807) ProcCmdline: /usr/bin/nautilus --gapplication-service ProcEnviron:  SHELL=/bin/bash  XDG_RUNTIME_DIR=<set>  PATH=(custom, no user)  LANG=de_DE.UTF-8 SegvAnalysis:  Segfault happened at: 0x7f8b19a60d27 <g_type_check_instance_is_fundamentally_a+7>: mov (%rdi),%rdx  PC (0x7f8b19a60d27) ok  source "(%rdi)" (0x00000002) not located in a known VMA region (needed readable region)!  destination "%rdx" ok SegvReason: reading NULL VMA Signal: 11 SourcePackage: nautilus StacktraceTop:  g_type_check_instance_is_fundamentally_a () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0  g_object_ref () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0  g_list_copy_deep () from /lib/x86_64-linux-gnu/libglib-2.0.so.0  ?? ()  ?? () Title: nautilus crashed with SIGSEGV in g_type_check_instance_is_fundamentally_a() UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm audio cdrom dip lpadmin netdev plugdev sambashare scanner sudo https://errors.ubuntu.com/problem/ef1ce30f6325c683b207fd96a3be93eda5384054 Fixed in https://gitlab.gnome.org/GNOME/nautilus/commit/b6691821b86460bf9d4caa6391666ae506a743c5 no idea,sorry ProblemType: CrashDistroRelease: Ubuntu 17.10 Package: nautilus 1:3.25.90-0ubuntu1 ProcVersionSignature: Ubuntu 4.12.0-11.12-generic 4.12.5 Uname: Linux 4.12.0-11-generic x86_64 NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia ApportVersion: 2.20.6-0ubuntu7 Architecture: amd64 CurrentDesktop: ubuntu:GNOME Date: Tue Aug 29 00:07:44 2017 EcryptfsInUse: Yes ExecutablePath: /usr/bin/nautilus InstallationDate: Installed on 2017-08-09 (19 days ago) InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170807) ProcCmdline: /usr/bin/nautilus --gapplication-service ProcEnviron:  SHELL=/bin/bash  XDG_RUNTIME_DIR=<set>  PATH=(custom, no user)  LANG=de_DE.UTF-8 SegvAnalysis:  Segfault happened at: 0x7f8b19a60d27 <g_type_check_instance_is_fundamentally_a+7>: mov (%rdi),%rdx  PC (0x7f8b19a60d27) ok  source "(%rdi)" (0x00000002) not located in a known VMA region (needed readable region)!  destination "%rdx" ok SegvReason: reading NULL VMA Signal: 11SourcePackage: nautilus StacktraceTop:  g_type_check_instance_is_fundamentally_a () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0  g_object_ref () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0  g_list_copy_deep () from /lib/x86_64-linux-gnu/libglib-2.0.so.0  ?? ()  ?? () Title: nautilus crashed with SIGSEGV in g_type_check_instance_is_fundamentally_a() UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm audio cdrom dip lpadmin netdev plugdev sambashare scanner sudo
2018-04-19 01:44:33 Marco Trevisan (Treviño) nautilus (Ubuntu): status In Progress Fix Released
2018-05-02 12:05:32 Marco Trevisan (Treviño) nautilus (Ubuntu): status Fix Released Triaged
2018-07-25 02:41:19 Marco Trevisan (Treviño) nautilus (Ubuntu): status Triaged In Progress
2018-07-26 03:30:42 Launchpad Janitor merge proposal linked https://code.launchpad.net/~3v1n0/ubuntu/+source/nautilus/+git/nautilus/+merge/350174
2018-07-26 03:31:45 Launchpad Janitor merge proposal linked https://code.launchpad.net/~3v1n0/ubuntu/+source/nautilus/+git/nautilus/+merge/351021
2018-08-01 20:27:06 Launchpad Janitor nautilus (Ubuntu): status In Progress Fix Released
2018-08-13 09:14:47 Łukasz Zemczak bug task added nautilus (Ubuntu Bionic)
2018-08-14 13:58:16 Sebastien Bacher nautilus (Ubuntu Bionic): importance Undecided High
2018-08-14 13:58:21 Sebastien Bacher nautilus (Ubuntu Bionic): assignee Marco Trevisan (Treviño) (3v1n0)
2018-08-14 13:58:23 Sebastien Bacher nautilus (Ubuntu Bionic): status New Triaged
2018-09-05 16:05:18 Launchpad Janitor merge proposal linked https://code.launchpad.net/~3v1n0/ubuntu/+source/nautilus/+git/nautilus/+merge/354342
2018-09-05 16:12:02 Launchpad Janitor merge proposal linked https://code.launchpad.net/~3v1n0/ubuntu/+source/nautilus/+git/nautilus/+merge/354343
2018-09-06 21:34:01 Brian Murray bug added subscriber Brian Murray
2018-09-06 21:58:57 Marco Trevisan (Treviño) description https://errors.ubuntu.com/problem/ef1ce30f6325c683b207fd96a3be93eda5384054 Fixed in https://gitlab.gnome.org/GNOME/nautilus/commit/b6691821b86460bf9d4caa6391666ae506a743c5 no idea,sorry ProblemType: CrashDistroRelease: Ubuntu 17.10 Package: nautilus 1:3.25.90-0ubuntu1 ProcVersionSignature: Ubuntu 4.12.0-11.12-generic 4.12.5 Uname: Linux 4.12.0-11-generic x86_64 NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia ApportVersion: 2.20.6-0ubuntu7 Architecture: amd64 CurrentDesktop: ubuntu:GNOME Date: Tue Aug 29 00:07:44 2017 EcryptfsInUse: Yes ExecutablePath: /usr/bin/nautilus InstallationDate: Installed on 2017-08-09 (19 days ago) InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170807) ProcCmdline: /usr/bin/nautilus --gapplication-service ProcEnviron:  SHELL=/bin/bash  XDG_RUNTIME_DIR=<set>  PATH=(custom, no user)  LANG=de_DE.UTF-8 SegvAnalysis:  Segfault happened at: 0x7f8b19a60d27 <g_type_check_instance_is_fundamentally_a+7>: mov (%rdi),%rdx  PC (0x7f8b19a60d27) ok  source "(%rdi)" (0x00000002) not located in a known VMA region (needed readable region)!  destination "%rdx" ok SegvReason: reading NULL VMA Signal: 11SourcePackage: nautilus StacktraceTop:  g_type_check_instance_is_fundamentally_a () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0  g_object_ref () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0  g_list_copy_deep () from /lib/x86_64-linux-gnu/libglib-2.0.so.0  ?? ()  ?? () Title: nautilus crashed with SIGSEGV in g_type_check_instance_is_fundamentally_a() UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm audio cdrom dip lpadmin netdev plugdev sambashare scanner sudo [ Impact ] Nautilus crashes when trying to open a folder selecting a file, when another has already been selected before and the current folder didn't finish loading. [ Test case ] It's not easy to verify this without hacking the code to change the scenario, but an example could be launching quickly: nautilus /usr/bin/true & nautilus /usr/bin/false At the second command nautilus could crash. [ Regression potential ] Calling nautilus with a file argument might not select that file -- Upstream bug: https://gitlab.gnome.org/GNOME/nautilus/issues/295 Upstream MR: https://gitlab.gnome.org/GNOME/nautilus/merge_requests/277 --- https://errors.ubuntu.com/problem/ef1ce30f6325c683b207fd96a3be93eda5384054 Fixed in https://gitlab.gnome.org/GNOME/nautilus/commit/b6691821b86460bf9d4caa6391666ae506a743c5 no idea,sorry ProblemType: CrashDistroRelease: Ubuntu 17.10 Package: nautilus 1:3.25.90-0ubuntu1 ProcVersionSignature: Ubuntu 4.12.0-11.12-generic 4.12.5 Uname: Linux 4.12.0-11-generic x86_64 NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia ApportVersion: 2.20.6-0ubuntu7 Architecture: amd64 CurrentDesktop: ubuntu:GNOME Date: Tue Aug 29 00:07:44 2017 EcryptfsInUse: Yes ExecutablePath: /usr/bin/nautilus InstallationDate: Installed on 2017-08-09 (19 days ago) InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170807) ProcCmdline: /usr/bin/nautilus --gapplication-service ProcEnviron:  SHELL=/bin/bash  XDG_RUNTIME_DIR=<set>  PATH=(custom, no user)  LANG=de_DE.UTF-8 SegvAnalysis:  Segfault happened at: 0x7f8b19a60d27 <g_type_check_instance_is_fundamentally_a+7>: mov (%rdi),%rdx  PC (0x7f8b19a60d27) ok  source "(%rdi)" (0x00000002) not located in a known VMA region (needed readable region)!  destination "%rdx" ok SegvReason: reading NULL VMASignal: 11SourcePackage: nautilus StacktraceTop:  g_type_check_instance_is_fundamentally_a () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0  g_object_ref () from /usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0  g_list_copy_deep () from /lib/x86_64-linux-gnu/libglib-2.0.so.0  ?? ()  ?? () Title: nautilus crashed with SIGSEGV in g_type_check_instance_is_fundamentally_a() UpgradeStatus: No upgrade log present (probably fresh install) UserGroups: adm audio cdrom dip lpadmin netdev plugdev sambashare scanner sudo
2018-09-13 13:53:47 Łukasz Zemczak nautilus (Ubuntu Bionic): status Triaged Fix Committed
2018-09-13 13:53:49 Łukasz Zemczak bug added subscriber Ubuntu Stable Release Updates Team
2018-09-13 13:53:51 Łukasz Zemczak bug added subscriber SRU Verification
2018-09-13 13:53:54 Łukasz Zemczak tags amd64 apport-crash artful bionic amd64 apport-crash artful bionic verification-needed verification-needed-bionic
2018-09-27 12:42:40 Marco Trevisan (Treviño) tags amd64 apport-crash artful bionic verification-needed verification-needed-bionic amd64 apport-crash artful bionic verification-done verification-done-bionic
2018-09-27 16:28:06 Launchpad Janitor nautilus (Ubuntu Bionic): status Fix Committed Fix Released
2018-09-27 16:28:18 Brian Murray removed subscriber Ubuntu Stable Release Updates Team
2018-09-28 17:35:09 Launchpad Janitor merge proposal linked https://code.launchpad.net/~3v1n0/ubuntu/+source/nautilus/+git/nautilus/+merge/355858
2018-09-30 12:56:49 Jeremy Bicha merge proposal unlinked https://code.launchpad.net/~3v1n0/ubuntu/+source/nautilus/+git/nautilus/+merge/355858